[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TWriteBufStream.Write

Write data to the stream

## Declaration

Source position: bufstream.pp line 70

`public function TWriteBufStream.Write(`
`const ABuffer;`
`ACount: LongInt`
`):Integer; override;`

## Arguments

`ABuffer` |  | Buffer containing data to write
`ACount` |  | Number of bytes to write to stream

## Function result

Number of bytes written

## Description

Write writes at most ACount bytes from ABuffer to the stream. The data is written to the internal buffer first. As soon as the internal buffer is full, it is flushed to the destination stream, and the internal buffer is filled again. This process continues till all data is written (or an error occurs).

## Errors

An exception may occur if the destination stream has problems writing.

## See also

TWriteBufStream.Seek |  | Set stream position.
TWriteBufStream.Read |  | Read data from the stream
TReadBufStream.Write |  | Writes data to the stream

Documentation generated on: Feb 26 2014